package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.db.DataBaseActionResult;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.conveyStand.QueryDeliverStandReq;
import org.wcs.model.po.app.AppConveyDeliverStand;

import java.util.List;

/**
 * 输送线站台表服务接口
 */
public interface AppConveyDeliverStandService extends IService<AppConveyDeliverStand> {

    Tuple2<Long, List<AppConveyDeliverStand>> query(QueryDeliverStandReq request, Integer pageSize, Integer pageIndex); // 查询
    List<AppConveyDeliverStand> queryByStandId(String standId); // 根据站台ID查询
    DataBaseActionResult<Integer> insert(AppConveyDeliverStand appConveyDeliverStand); // 添加输送机发货站台
    DataBaseActionResult<Integer> update(AppConveyDeliverStand appConveyDeliverStand); // 修改站台信息
    DataBaseActionResult<Integer> delete(String standId); // 删除一个站台
}
